Create a brand

POST
/brands

Authorization

BearerAuth
AuthorizationBearer <token>

An instance admin key from ADMIN_API_KEYS, or an organization key (elmo_…) issued from the dashboard.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Create a brand. Skips onboarding. The first entry in domains is treated as the brand's primary website; the rest are stored as additional domains.

id*string
Length1 <= length
name*string
Length1 <= length
domains*array<string>

Brand domains. The first entry is the primary website; remaining entries are additional domains.

Items1 <= items
aliases?array<string>
competitors?array<>
prompts?array<>
organizationId?string

Organization to create the brand in.

OmittedPresent
Organization keycreates in the key's own organizationmust name the key's own organization; any other value is a 400
Admin keyprovisions a new organization named after the brand idcreates in the named organization, which must already exist — 404 if it does not

An admin key omitting this field is currently the only way to create an organization over the API.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/brands" \  -H "Content-Type: application/json" \  -d '{    "id": "string",    "name": "string",    "domains": [      "string"    ]  }'
{  "id": "string",  "name": "string",  "domains": [    "string"  ],  "aliases": [    "string"  ],  "enabled": true,  "onboarded": true,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "organizationId": "string",  "enabledModels": [    "string"  ],  "delayOverrideHours": 0}